=== debian/changelog ===
zeroc-ice (3.7.0-5) unstable; urgency=medium

  * Add python-passlib package required to run test
  * Filter out test that require arch services
  * Use latest standards version
  * Add openssl dependency required for IceSSL/configuration test
  * Build Java packages with the default JDK

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Mon, 02 Apr 2018 15:05:04 +0000

zeroc-ice (3.7.0-4) unstable; urgency=medium

  * Fix nocheck support
  * python-zeroc-ice: Install fails

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 22 Mar 2018 16:25:46 +0000

zeroc-ice (3.7.0-3) unstable; urgency=medium

  * Fix package build failure when using --build=all

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 21 Mar 2018 21:26:52 +0000

zeroc-ice (3.7.0-2) unstable; urgency=medium

  * Do not hardcode the lib arch directory
  * Fix icebox install on i386 builds
  * Do not install dbus and bluetooth on unsupported platforms

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 21 Mar 2018 17:19:48 +0100

zeroc-ice (3.7.0-1) unstable; urgency=medium

  * Updated version to 3.7.0

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Mon, 19 Mar 2018 17:35:41 +0000
